<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Payroll Edit</title>
</head>
<body>

<section class="content-header" layout:fragment="breadcrumb">
    <h1>
        Payroll
        <small th:text="${employess.getCompanies().getCompanyName()}">Control panel</small>
    </h1>
    <ol class="breadcrumb">
        <li><a href="#"><i class="fa fa-dashboard"></i> Payroll</a></li>
        <li class="active">Update</li>
    </ol>
</section>

<section layout:fragment="main" class="content">

    <div class="row">
        <div class = "col-md-12">

            <div class="callout callout-success" th:if="${successimpor != null}">
                <h4>Impor Data Success!</h4>

                <p>Data Berhasil Disimpan.</p>
            </div>

<!--            <div class="callout callout-danger" th:if="${datefailed != null}">-->
<!--                <h4>Effective Date belum ditentukan</h4>-->
<!--                <p></p>-->
<!--            </div>-->
            <div class="box box-info">
                <div class = "box-header with-border">
                    <form method="get">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="form-group">
                                    <label for="payrollComponent" class="col-sm-2 control-label">PayrollComponent</label>

                                    <div class="col-sm-10">
                                        <select class="form-control select2" name="payrollComponent" id="payrollComponent" style="width: 100%;" onchange="dtable()">
                                            <option>Pilih Component</option>
                                            <option th:each="data : ${listPayrollComponent}"
                                                    th:selected="(${data} == *{payrollComponentSelected})"
                                                    th:text="${'('+ data.getJenisComponent() +')'  + '       -       ' +  data.getName()}"
                                                    th:value="${data.id}">sdasd</option>
                                        </select>
                                        <input type="hidden" id="isiPayrollComponent" name="isiPayrollComponent">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </form>
                </div>
                <div class = "box-body">

                    <button th:if="${payrollComponentSelected != null}" type="button" class="btn btn-default" data-toggle="modal" data-target="#modal-default">
                        Add +
                    </button>
                    <div th:if="${payrollComponentSelected != null}" class="modal fade" id="modal-default">
                        <div class="modal-dialog">
                            <form class="form-horizontal" th:action="@{/payroll/edit/savenew(idPayrollComponent=${payrollComponentSelected.getId()})}" method="post" enctype="multipart/form-data">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span></button>
                                        <h4 class="modal-title">Add New +</h4>
                                    </div>
                                    <div class="modal-body">

                                                    <div class="form-group">
                                                        <label for="payrollComponentNew" class="col-sm-2 control-label">Employee:</label>
                                                        <div class="col-sm-10">
                                                            <input type="text" class="form-control" th:value="${payrollComponentSelected.getName()}"  name="payrollComponentNew" id="payrollComponentNew" placeholder="Employee" disabled>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                    <label for="employeeNew" class="col-sm-2 control-label">Employee</label>

                                                    <div class="col-sm-10">
                                                        <select class="form-control select2" name="employeeNew" id="employeeNew" style="width: 100%;">
                                                            <option>Choose Employee</option>
                                                            <option th:each="data : ${listEmployee}"
                                                                    th:text="${'('+ data.getNumber() +')'  + '       -       ' +  data.getFullName()}"
                                                                    th:value="${data.id}">sdasd</option>
                                                        </select>
                                                        <input type="hidden" id="isiEmployeeNew" name="isiEmployeeNew">
                                                    </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="amountNew" class="col-sm-2 control-label">Amount:</label>
                                                        <div class="col-sm-10">
                                                            <input type="text" class="form-control" name="amountNew" id="amountNew" data-type="currency" placeholder="Amount">
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label for="tanggalMulaiStringNew" class="col-sm-2 control-label">From:</label>
                                                        <div class="col-sm-10">
                                                            <div class="input-group date">
                                                                <div class="input-group-addon">
                                                                    <i class="fa fa-calendar"></i>
                                                                </div>
                                                                <input type="text" class="form-control pull-right" id="tanggalMulaiStringNew" name="tanggalMulaiStringNew" placeholder="Date Start MM/dd/yyyy">
                                                            </div>
                                                        </div>
                                                    </div>

                                                    <div class="form-group">
                                                        <label or="tanggalSelesaiStringNew" class="col-sm-2 control-label">End:</label>
                                                        <div class="col-sm-10">
                                                            <div class="input-group date">
                                                                <div class="input-group-addon">
                                                                    <i class="fa fa-calendar"></i>
                                                                </div>
                                                                <input type="text" class="form-control pull-right" id="tanggalSelesaiStringNew" name="tanggalSelesaiStringNew" placeholder="Date End MM/dd/yyyy">
                                                            </div>
                                                        </div>
                                                    </div>

                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-default pull-left" data-dismiss="modal">Close</button>
                                        <button type="submit" class="btn btn-primary">Save changes</button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>

                </div>
                <div class = "box-footer table-responsive">
                    <table id="example1" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th>No</th>
                            <th>Component</th>
                            <th>Employee ID</th>
                            <th>Full Name</th>
                            <th>Effective</th>
                            <th>End</th>
                            <th></th>
                            <th>Ammount</th>
                            <th></th>
                        </tr>
                        </thead>
                        <tbody>
                        <tr th:each="dataPayrollComponent,row : ${listPayrollComponentEdit}">
                            <td th:text="${row.index + 1}">Trident</td>
                            <td th:text="${dataPayrollComponent.getNameComponent()}">Internet</td>
                            <td th:text="${dataPayrollComponent.getNip()}">Internet</td>
                            <td th:text="${dataPayrollComponent.getEmployeeName()}">Win 95+</td>
                            <td th:if="${dataPayrollComponent.expired == true}" th:text="${'Expired'}" style="color: #9e0505">Expired</td>
                            <td th:if="${dataPayrollComponent.expired == false}" th:text="${dataPayrollComponent.getEffectiveDate()}">Win 95+</td>
                            <td th:if="${dataPayrollComponent.expired == true}" th:text="${'Expired'}" style="color: #9e0505">Expired</td>
                            <td th:if="${dataPayrollComponent.expired == false}" th:text="${dataPayrollComponent.getEndDate()}">Win 95+</td>
                            <td th:text="${dataPayrollComponent.getJenisComponent()}"> </td>
                            <td th:text="${#numbers.formatDecimal(dataPayrollComponent.getNominal(), 0, 'POINT', 2, 'COMMA')}"> </td>
                            <td>
<!--                                <button type="button" class="btn btn-xs btn-primary" data-toggle="modal" th:attr="data-target='#modal-default'+${dataPayrollComponent.getIdEmployee()}">-->
<!--                                    Edit-->
<!--                                </button>-->

                                <a class="btn btn-xs btn-primary" th:href = "@{/payroll/edit/form(idPayrollComponent=${dataPayrollComponent.getIdComponent()},employee=${dataPayrollComponent.getIdEmployee()})}">Edit</a>

                            </td>
                        </tr>
                        </tbody>
                        <tfoot>
                        <tr>
                            <th>No</th>
                            <th>Employee ID</th>
                            <th>Full Name</th>
                            <th>Effective</th>
                            <th>End</th>
                            <th>Current Ammount</th>
                            <th>New Ammount</th>
                            <th></th>
                        </tr>
                        </tfoot>
                    </table>

                    <!--        <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
                    <!--          <li class="disabled"><a href="#" aria-label="Previous"><span-->
                    <!--                  aria-hidden="true">&laquo;</span></a>-->
                    <!--          </li>-->
                    <!--          <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
                    <!--          </li>-->
                    <!--        </ul>-->

                </div>
            </div>
        </div>
    </div>

</section>

<section layout:fragment="footer" class="script">
    <script>
        $(function () {
            //Initialize Select2 Elements
            $('.select2').select2()

            //Datemask dd/mm/yyyy
            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })
            //Datemask2 mm/dd/yyyy
            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })
            //Money Euro
            $('[data-mask]').inputmask()

            //Date range picker
            $('#reservation').daterangepicker()
            //Date range picker with time picker
            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})
            //Date range as a button
            $('#daterange-btn').daterangepicker(
                {
                    ranges   : {
                        'Today'       : [moment(), moment()],
                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],
                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],
                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],
                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]
                    },
                    startDate: moment().subtract(29, 'days'),
                    endDate  : moment()
                },
                function (start, end) {
                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))
                }
            )

            //Date picker
            $('#effectiveDateString').datepicker({
                autoclose: true
            })

            $('#endDateString').datepicker({
                autoclose: true
            })

            $('#tanggalMulaiStringNew').datepicker({
                autoclose: true
            })

            $('#tanggalSelesaiStringNew').datepicker({
                autoclose: true
            })

            //iCheck for checkbox and radio inputs
            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({
                checkboxClass: 'icheckbox_minimal-blue',
                radioClass   : 'iradio_minimal-blue'
            })
            //Red color scheme for iCheck
            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({
                checkboxClass: 'icheckbox_minimal-red',
                radioClass   : 'iradio_minimal-red'
            })
            //Flat red color scheme for iCheck
            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({
                checkboxClass: 'icheckbox_flat-green',
                radioClass   : 'iradio_flat-green'
            })

            //Colorpicker
            $('.my-colorpicker1').colorpicker()
            //color picker with addon
            $('.my-colorpicker2').colorpicker()

            //Timepicker
            $('.timepicker').timepicker({
                showInputs: false
            })
        })
    </script>
    <script>
        $(".js-example-placeholder-single").select2({
            placeholder: "Pilih Salah Satu",
            allowClear: true
        });

        $('.simpan').click(function () {
            Swal.fire({
                position: 'top-end',
                type: 'success',
                title: 'Your work has been saved',
                showConfirmButton: false
            })
        });
    </script>
    <script>
        $(function () {
            $('#example1').DataTable()
            $('#example2').DataTable({
                'paging'      : true,
                'lengthChange': false,
                'searching'   : false,
                'ordering'    : true,
                'info'        : true,
                'autoWidth'   : false
            })
        })

        $(function() {

            var bla = $('#effectiveDateString').val();
            $('#effectiveDateString').val(bla);

        });

        $(function() {

            var blas = $('#endDateString').val();
            $('#endDateString').val(blas);

        });

        (function($){
            $('#payrollComponent').select2();
            $('#payrollComponent').on('select2:selecting', function(e) {
                console.log('Selecting: ' , e.params.args.data.id);
                $('#isiPayrollComponent').val(e.params.args.data.id);
            });
        })(jQuery);

        function dtable() {

            // const url = '/api/detail/anggarandto?idAnggaran='+$('#isiPayrollComponent').val();
            window.location.href = '/payroll/edit/new?payrollComponent='+$('#isiPayrollComponent').val()+'&effectiveDate='+$('#effectiveDateString').val()+'&endDate='+$('#endDateString').val();


        }
    </script>


</section>
</body>
</html>